PageTag (RichFaces JSF components library 3.3.3.Final API)
Keywords: org.richfaces.taglib.PageTag class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.taglib
Class PageTag

    java.lang.Object
      javax.faces.webapp.UIComponentTagBase
          javax.faces.webapp.UIComponentClassicTagBase
              javax.faces.webapp.UIComponentELTag
                  org.richfaces.webapp.taglib.UIComponentELTagBase
                      org.ajax4jsf.webapp.taglib.UIComponentTagBase
                          org.ajax4jsf.webapp.taglib.HtmlComponentTagBase
                              org.richfaces.taglib.PageTag

All Implemented Interfaces:
  javax.servlet.jsp.tagext.BodyTag, javax.servlet.jsp.tagext.IterationTag, javax.servlet.jsp.tagext.JspIdConsumer, javax.servlet.jsp.tagext.JspTag, javax.servlet.jsp.tagext.Tag

    public class PageTag

extends org.ajax4jsf.webapp.taglib.HtmlComponentTagBase

Field Summary

Fields inherited from class javax.faces.webapp.UIComponentClassicTagBase
`bodyContent, pageContext, UNIQUE_ID_PREFIX`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Fields inherited from interface javax.servlet.jsp.tagext.BodyTag
`EVAL_BODY_BUFFERED, EVAL_BODY_TAG`

Fields inherited from interface javax.servlet.jsp.tagext.IterationTag
`EVAL_BODY_AGAIN`

Constructor Summary
`PageTag()`

Method Summary
`java.lang.String` | `getComponentType()`
`java.lang.String` | `getRendererType()`
`void` | `release()`
`void` | `setBodyClass(javax.el.ValueExpression __bodyClass)` Assigns one or more space-separated CSS class names to the body part of the page Setter for bodyClass
`void` | `setContentType(javax.el.ValueExpression __contentType)` Set custom mime content type to response Setter for contentType
`void` | `setFooterClass(javax.el.ValueExpression __footerClass)` Assigns one or more space-separated CSS class names to the component footer Setter for footerClass
`void` | `setHeaderClass(javax.el.ValueExpression __headerClass)` Assigns one or more space-separated CSS class names to the component header Setter for headerClass
`void` | `setMarkupType(javax.el.ValueExpression __markupType)` Page layout format ( html, xhtml, html-transitional, html-3.2 ) for encoding DOCTYPE, namespace and Content-Type definitions Setter for markupType
`void` | `setNamespace(javax.el.ValueExpression __namespace)` Set html element default namespace Setter for namespace
`void` | `setOncontextmenu(javax.el.ValueExpression __oncontextmenu)` The client-side script method to be called when the right mouse button is clicked over the component Setter for oncontextmenu
`void` | `setOnload(javax.el.ValueExpression __onload)` The client-side script method to be called before a page is loaded Setter for onload
`void` | `setOnunload(javax.el.ValueExpression __onunload)` The client-side script method to be called when a page is unloaded Setter for onunload
`void` | `setPageTitle(javax.el.ValueExpression __pageTitle)` String for output as a page title.
`protected void` | `setProperties(javax.faces.component.UIComponent component)`
`void` | `setSidebarClass(javax.el.ValueExpression __sidebarClass)` Assigns one or more space-separated CSS class names to the component side panel Setter for sidebarClass
`void` | `setSidebarPosition(javax.el.ValueExpression __sidebarPosition)` Defines the position of the side panel.
`void` | `setSidebarWidth(javax.el.ValueExpression __sidebarWidth)` Defines width for the side panel.
`void` | `setTheme(javax.el.ValueExpression __theme)` Specifies the way of the component rendering Setter for theme
`void` | `setWidth(javax.el.ValueExpression __width)` Sets the width of the page Setter for width

Methods inherited from class org.ajax4jsf.webapp.taglib.HtmlComponentTagBase
`setDir, setLang, setOnclick, setOndblclick, setOnkeydown, setOnkeypress, setOnkeyup, setOnmousedown, setOnmousemove, setOnmouseout, setOnmouseover, setOnmouseup, setStyle, setStyleClass, setTitle`

Methods inherited from class org.ajax4jsf.webapp.taglib.UIComponentTagBase
`getExpressionFactory, isValueReference, setActionListenerProperty, setActionProperty, setBooleanProperty, setBooleanProperty, setDoubleProperty, setDoubleProperty, setFloatProperty, setFloatProperty, setIntegerProperty, setIntegerProperty, setLongProperty, setLongProperty, setProperty, setProperty, setStringProperty, setStringProperty, setValueChangedListenerProperty, setValueProperty, setValueProperty`

Methods inherited from class org.richfaces.webapp.taglib.UIComponentELTagBase
`setActionListenerProperty, setActionProperty, setConverterProperty, setRowKeyConverterProperty, setValidatorProperty, setValueChangeListenerProperty`

Methods inherited from class javax.faces.webapp.UIComponentELTag
`createComponent, getELContext, hasBinding, setBinding, setRendered`

Methods inherited from class javax.faces.webapp.UIComponentClassicTagBase
`addChild, addFacet, addVerbatimAfterComponent, addVerbatimBeforeComponent, createVerbatimComponent, createVerbatimComponentFromBodyContent, doAfterBody, doEndTag, doInitBody, doStartTag, encodeBegin, encodeChildren, encodeEnd, findComponent, getBodyContent, getComponentInstance, getCreated, getCreatedComponents, getDoAfterBodyValue, getDoEndValue, getDoStartValue, getFacesContext, getFacesJspId, getFacetName, getId, getIndexOfNextChildTag, getJspId, getParent, getParentUIComponentClassicTagBase, getPreviousOut, setBodyContent, setId, setJspId, setPageContext, setParent, setupResponseWriter`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.servlet.jsp.tagext.Tag
`doEndTag, doStartTag, getParent, setPageContext, setParent`

Constructor Detail

### PageTag

    public PageTag()

Method Detail

### setBodyClass

    public void setBodyClass(javax.el.ValueExpression __bodyClass)

  Assigns one or more space-separated CSS class names to the body part of the page Setter for bodyClass

  Parameters:
    `bodyClass` - - new value

### setContentType

    public void setContentType(javax.el.ValueExpression __contentType)

  Set custom mime content type to response Setter for contentType

  Parameters:
    `contentType` - - new value

### setFooterClass

    public void setFooterClass(javax.el.ValueExpression __footerClass)

  Assigns one or more space-separated CSS class names to the component footer Setter for footerClass

  Parameters:
    `footerClass` - - new value

### setHeaderClass

    public void setHeaderClass(javax.el.ValueExpression __headerClass)

  Assigns one or more space-separated CSS class names to the component header Setter for headerClass

  Parameters:
    `headerClass` - - new value

### setMarkupType

    public void setMarkupType(javax.el.ValueExpression __markupType)

  Page layout format ( html, xhtml, html-transitional, html-3.2 ) for encoding DOCTYPE, namespace and Content-Type definitions Setter for markupType

  Parameters:
    `markupType` - - new value

### setNamespace

    public void setNamespace(javax.el.ValueExpression __namespace)

  Set html element default namespace Setter for namespace

  Parameters:
    `namespace` - - new value

### setOncontextmenu

    public void setOncontextmenu(javax.el.ValueExpression __oncontextmenu)

  The client-side script method to be called when the right mouse button is clicked over the component Setter for oncontextmenu

  Parameters:
    `oncontextmenu` - - new value

### setOnload

    public void setOnload(javax.el.ValueExpression __onload)

  The client-side script method to be called before a page is loaded Setter for onload

  Parameters:
    `onload` - - new value

### setOnunload

    public void setOnunload(javax.el.ValueExpression __onunload)

  The client-side script method to be called when a page is unloaded Setter for onunload

  Parameters:
    `onunload` - - new value

### setPageTitle

    public void setPageTitle(javax.el.ValueExpression __pageTitle)

  String for output as a page title. Setter for pageTitle

  Parameters:
    `pageTitle` - - new value

### setSidebarClass

    public void setSidebarClass(javax.el.ValueExpression __sidebarClass)

  Assigns one or more space-separated CSS class names to the component side panel Setter for sidebarClass

  Parameters:
    `sidebarClass` - - new value

### setSidebarPosition

    public void setSidebarPosition(javax.el.ValueExpression __sidebarPosition)

  Defines the position of the side panel. Possible values are "left", "right". Default value is "left". Setter for sidebarPosition

  Parameters:
    `sidebarPosition` - - new value

### setSidebarWidth

    public void setSidebarWidth(javax.el.ValueExpression __sidebarWidth)

  Defines width for the side panel. Default value is "160". Setter for sidebarWidth

  Parameters:
    `sidebarWidth` - - new value

### setTheme

    public void setTheme(javax.el.ValueExpression __theme)

  Specifies the way of the component rendering Setter for theme

  Parameters:
    `theme` - - new value

### setWidth

    public void setWidth(javax.el.ValueExpression __width)

  Sets the width of the page Setter for width

  Parameters:
    `width` - - new value

### release

    public void release()

  Specified by:
    `release` in interface `javax.servlet.jsp.tagext.Tag`
  Overrides:
    `release` in class `org.ajax4jsf.webapp.taglib.HtmlComponentTagBase`

### setProperties

    protected void setProperties(javax.faces.component.UIComponent component)

  Overrides:
    `setProperties` in class `org.ajax4jsf.webapp.taglib.HtmlComponentTagBase`

### getComponentType

    public java.lang.String getComponentType()

  Specified by:
    `getComponentType` in class `javax.faces.webapp.UIComponentTagBase`

### getRendererType

    public java.lang.String getRendererType()

  Specified by:
    `getRendererType` in class `javax.faces.webapp.UIComponentTagBase`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010. All Rights Reserved.